SUSE SLED15 / SLES15セキュリティ更新プログラム:salt(SUSE-SU-2018:3815-1)

critical Nessus プラグイン ID 120165

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

salt 用のこの更新では、次の問題を修正しています:

修正されたセキュリティ問題:

CVE-2018-15750:salt-apiのディレクトリトラバーサル脆弱性を修正しました(bsc#1113698)。

CVE-2018-15751:任意のコマンドが実行される可能性のあるsalt-api(netapi)でのリモート認証バイパスを修正しました(bsc#1113699)。

修正された非セキュリティ問題:LDAPグループIDの処理を改善しました。gidが文字列として扱われなくなりました。修正前は誤ったグループが作成される可能性がありました(bsc#1113784)。

プロセスマネージャーへの非同期呼び出しを修正しました(bsc#1110938)

RPMがインストールされていない場合のOS arch検出を修正しました(bsc#1114197)

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Module for Server Applications 15:zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2018-2713=1

SUSE Linux Enterprise Module for Basesystem 15:zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2713=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1110938

https://bugzilla.suse.com/show_bug.cgi?id=1113698

https://bugzilla.suse.com/show_bug.cgi?id=1113699

https://bugzilla.suse.com/show_bug.cgi?id=1113784

https://bugzilla.suse.com/show_bug.cgi?id=1114197

https://www.suse.com/security/cve/CVE-2018-15750/

https://www.suse.com/security/cve/CVE-2018-15751/

http://www.nessus.org/u?607105e3

プラグインの詳細

深刻度: Critical

ID: 120165

ファイル名: suse_SU-2018-3815-1.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2019/1/2

更新日: 2021/1/13

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:python2-salt, p-cpe:/a:novell:suse_linux:python3-salt, p-cpe:/a:novell:suse_linux:salt, p-cpe:/a:novell:suse_linux:salt-api, p-cpe:/a:novell:suse_linux:salt-cloud, p-cpe:/a:novell:suse_linux:salt-doc, p-cpe:/a:novell:suse_linux:salt-master, p-cpe:/a:novell:suse_linux:salt-minion, p-cpe:/a:novell:suse_linux:salt-proxy, p-cpe:/a:novell:suse_linux:salt-ssh, p-cpe:/a:novell:suse_linux:salt-syndic, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2018/11/20

脆弱性公開日: 2018/10/24

参照情報

CVE: CVE-2018-15750, CVE-2018-15751